package com.fr.plugin.regChart;

import com.fr.extended.chart.AbstractChart;
import com.fr.extended.chart.HyperLinkPara;
import com.fr.extended.chart.StringFormula;
import com.fr.json.JSONException;
import com.fr.json.JSONObject;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.stable.web.Repository;

import java.util.List;

//@FunctionRecorder
public class ChartWater extends AbstractChart<ChartWaterConfig>
{
    @ExecuteFunctionRecord
    @Override
    protected String getChartID()
    {
        return "echart.water.chart70249";
    }

    @Override
    public String getChartName()
    {
        return "水球图70249";
    }

    @Override
    protected void addJSON(ChartWaterConfig chartWaterConfig, JSONObject jsonObject, Repository repository, JSONPara jsonPara) throws JSONException
    {
        List<Object> values = chartWaterConfig.getValue().getValues();
        jsonObject.put("value",values);
    }

    @Override
    protected String[] requiredJS()
    {
        return new String[]
                {
                        "com/fr/plugin/web/js/echarts.js",
                        "com/fr/plugin/web/js/echarts-liquidfill.js",
                        "com/fr/plugin/web/js/myWaterChart.js"
                };
    }

    @Override
    protected String wrapperName()
    {
        return "ChartWrapper";
    }

    @Override
    protected String demoImagePath()
    {
        return "com/fr/plugin/web/image/preview.png";
    }

    @Override
    protected HyperLinkPara[] hyperLinkParas()
    {
        return new HyperLinkPara[0];
    }

    @Override
    protected List<StringFormula> formulas()
    {
        return null;
    }
}
